# $Revision: 1.18 $, $Date: 2006/04/02 11:23:04 $
%include	/usr/lib/rpm/macros.php
%define		_class		HTTP
%define		_subclass	WebDAV
%define		_status		beta
%define		_pearname	%{_class}_%{_subclass}_Server

%define	_rc RC3
%define	_rel 1
Summary:	%{_pearname} - WebDAV Server Baseclass
Summary(pl):	%{_pearname} - podstawowa klasa serwera WebDAV
Name:		php-pear-%{_pearname}
Version:	1.0.0
Release:	1.%{_rc}.%{_rel}
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}%{_rc}.tgz
# Source0-md5:	d970aa31ae9005c50c4ee17e8b65a94d
URL:		http://pear.php.net/package/HTTP_WebDAV_Server/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
Requires:	php-common >= 3:4.3
Requires:	php-pear >= 4:1.0-9.2
Requires:	php-pear-HTTP >= 1.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Mostly RFC2518 compliant helper class for WebDAV server
implementation.

In PEAR status of this package is: %{_status}.

%description -l pl
W wikszoci zgodna z RFC2518 klasa pomocnicza do implementacji
servera WebDAV.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%doc docs/%{_pearname}/*
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/%{_class}/%{_subclass}/*.php
%{php_pear_dir}/%{_class}/%{_subclass}/Server
%{php_pear_dir}/%{_class}/%{_subclass}/Tools/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-HTTP_WebDAV_Server.spec,v $
Revision 1.18  2006/04/02 11:23:04  glen
- 1.0.0RC3

Revision 1.17  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.16  2005/10/30 22:46:42  glen
- HTTP/WebDAV dir in php-pear package

Revision 1.15  2005/10/30 22:40:48  glen
- conflicting HTTP/WebDAV/Tools resolved

Revision 1.14  2005/10/06 17:30:00  glen
- up to 1.0.0 rc1

Revision 1.13  2005/10/05 20:11:06  glen
- rel 3

Revision 1.12  2005/10/03 22:59:16  glen
- semi automatically added deps from pear

Revision 1.11  2005/09/27 21:57:40  glen
- new pear packaging

Revision 1.10  2004/12/03 22:12:57  adamg
- rebuild with new PEAR provides/requires scripts
- release 2

Revision 1.9  2004/05/30 13:13:49  adamg
- fixed english information about status of the package

Revision 1.8  2004/04/25 17:40:54  adamg
- updated to 0.99.1; simplified %files

Revision 1.7  2003/11/22 20:45:51  adamg
- updated to 0.99

Revision 1.6  2003/10/07 20:55:00  adamg
- do not use macros in URL

Revision 1.5  2003/08/31 20:49:10  adamg
- more specific URL

Revision 1.4  2003/08/23 21:12:25  qboosh
- pl summary

Revision 1.3  2003/05/28 08:58:38  adamg
- massive attack: added source0-md5

Revision 1.2  2003/05/25 06:25:20  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.1  2003/02/23 14:27:12  blues
- initial alpha release - NOT for Ra.
